# Class OverviewResizingTool

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. See the Extensions intro page for more information.

#### Hierarchy

- ResizingTool
  - OverviewResizingTool

The OverviewResizingTool class lets the user resize the box within an overview.

If you want to experiment with this extension, try the Overview Resizing sample.

#####
Index

### Constructors

constructor

### Methods

resize

#####
Inherited Index

### Accessors

ResizingTool.adornedObject
ResizingTool.cellSize
ResizingTool.dragsMembers
ResizingTool.handle
ResizingTool.handleArchetype
ResizingTool.isGridSnapEnabled
ResizingTool.maxSize
ResizingTool.minSize
ResizingTool.oppositePoint
ResizingTool.originalDesiredSize
ResizingTool.originalLocation
Tool.diagram
Tool.isActive
Tool.isEnabled
Tool.name
Tool.transactionResult

### Methods

ResizingTool.canStart
ResizingTool.computeCellSize
ResizingTool.computeMaxSize
ResizingTool.computeMinSize
ResizingTool.computeReshape
ResizingTool.computeResize
ResizingTool.doActivate
ResizingTool.doCancel
ResizingTool.doDeactivate
ResizingTool.doMouseMove
ResizingTool.doMouseUp
ResizingTool.stopTransaction
ResizingTool.updateAdornments
Tool.canStartMultiTouch
Tool.cancelWaitAfter
Tool.doKeyDown
Tool.doKeyUp
Tool.doMouseDown
Tool.doMouseWheel
Tool.doStart
Tool.doStop
Tool.doWaitAfter
Tool.findToolHandleAt
Tool.isBeyondDragSize
Tool.standardMouseClick
Tool.standardMouseOver
Tool.standardMouseSelect
Tool.standardMouseWheel
Tool.standardPinchZoomMove
Tool.standardPinchZoomStart
Tool.standardWaitAfter
Tool.startTransaction
Tool.stopTool

## Constructors

### constructor

- new OverviewResizingTool(init?: Partial<OverviewResizingTool>): OverviewResizingTool

- Constructs an OverviewResizingTool and sets the name for the tool.

  #### Parameters

  - ##### `Optional` init: Partial<OverviewResizingTool>

  #### Returns OverviewResizingTool

## Methods

### `Override` resize

- resize(newr: Rect): void

- Overrides go.ResizingTool.resize to resize the overview box via setting the observed diagram's scale.

  #### Parameters

  - ##### newr: Rect

    the intended new rectangular bounds the overview box.

  #### Returns void

Copyright © 1998-2024 by Northwoods Software Corporation.